Bug 821233 - Review Request: vdr-live - An interactive web interface for VDR
Review Request: vdr-live - An interactive web interface for VDR
Status: CLOSED DUPLICATE of bug 1045756
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On: 821224 874238
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 07:42 EDT by MartinKG
Modified: 2013-12-23 05:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1045756 (view as bug list)
Environment:
Last Closed: 2013-09-24 04:40:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description MartinKG 2012-05-13 07:42:02 EDT
vdr-live - An interactive web interface for VDR

SRPM URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-live/vdr-live-0.2.0-3.20120218git.fc17.src.rpm?a=_AXJZdDdepE

Spec URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-live/vdr-live.spec?a=0ZEIUtCcMVQ


rpmlint output:

rpmlint vdr-live-0.2.0-3.20120218git.fc17.src.rpm
vdr-live.src: I: enchant-dictionary-not-found en_US
vdr-live.src: W: invalid-url Source0: vdr-plugin-live_0.2.0.99+cvs20120218.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint vdr-live-0.2.0-3.20120218git.fc17.x86_64.rpm
vdr-live.x86_64: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 MartinKG 2012-05-14 13:59:46 EDT
SRPM URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-live/vdr-live-0.2.0-4.20120325git.fc17.src.rpm?a=ikviaC9vop0

Spec URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-live/vdr-live.spec?a=OWYG9ZP9WDM


rpmlint output:
rpmlint vdr-live-0.2.0-4.20120325git.fc17.src.rpm
vdr-live.src: I: enchant-dictionary-not-found en_US
vdr-live.src: W: invalid-url Source0: vdr-plugin-live_0.2.0.99+cvs20120325.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint vdr-live-0.2.0-4.20120325git.fc17.x86_64.rpm
vdr-live.x86_64: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 4 MartinKG 2012-10-09 14:03:47 EDT
Spec URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-live/vdr-live-0.2.0-7/vdr-live.spec?a=DU5oaQGHh8A

SRPM URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-live/vdr-live-0.2.0-7/vdr-live-0.2.0-7.20121009git.fc18.src.rpm?a=o5OrQ5GVNUI

%changelog
* Tue Oct 9 2012 Martin Gansser <linux4martin@gmx.de> - 0.2.0-7.20121009git
- added vdr-1.7.28 compile fix
- added API patch version >= 1.7.30
- rebuild for Fedora 18.

can someone do the review ?
Comment 5 Sourav Basu 2012-10-24 02:47:35 EDT
I'm doing an informal review. So whoever does the actual review please let me know whatever i did wrong.
I used fedora-review to generate the report and made some manual checks.

First the issues:
=======
Package installs properly.
Note: Installation errors

Installation errors
-------------------
INFO: mock.py version 1.1.21 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.21
INFO: Mock Version: 1.1.21
State Changed: lock buildroot
INFO: installing package(s): /home/tumu/Fedora-Project/Review/vdr-live/i686/vdr-live-0.2.0-7.20121009git.fc19.i686.rpm /home/tumu/Fedora-Project/Review/vdr-live/i686/vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-16-i386/root/', 'install', '/home/tumu/Fedora-Project/Review/vdr-live/i686/vdr-live-0.2.0-7.20121009git.fc19.i686.rpm', '/home/tumu/Fedora-Project/Review/vdr-live/i686/vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm', '--setopt=tsflags=nocontexts']
Setting up Install Process
Error: Package: vdr-live-0.2.0-7.20121009git.fc19.i686 (/vdr-live-0.2.0-7.20121009git.fc19.i686)
           Requires: libpcre.so.1
 You could try using --skip-broken to work around the problem
Error: Package: vdr-live-0.2.0-7.20121009git.fc19.i686 (/vdr-live-0.2.0-7.20121009git.fc19.i686)
           Requires: vdr(abi)(x86-32) = 1.7.31
           Available: vdr-1.6.0-41.fc16.i686 (fedora)
               vdr(abi)(x86-32) = 1.6.0
You could try running: rpm -Va --nofiles --nodigest


Rpmlint is run on all installed packages.
Note: Mock build failed
Rpmlint
-------
Checking: vdr-live-0.2.0-7.20121009git.fc19.i686.rpm
          vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm
          vdr-live-0.2.0-7.20121009git.fc18.src.rpm
vdr-live.src: W: invalid-url Source0: vdr-plugin-live_0.2.0.99+cvs20121009.tar.gz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.


Now the review as generated along with manual checks:
Package Review
==============

Key:
[x] = OK
[!] = Fail
[-] = OK,Not applicable
[ ] = Not Checked


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/tumu/Fedora-
     Project/Review/vdr-live/i686/review-vdr-live/licensecheck.txt
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Package installs properly.
     Note: Installation errors (see attachment)
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (0001-Compile-fix-for-vdr-1.7.28.patch) Patch1
     (live-1.7.30-fhs.diff) Source0 (vdr-plugin-
     live_0.2.0.99+cvs20121009.tar.gz)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.


Requires
--------
vdr-live-0.2.0-7.20121009git.fc19.i686.rpm (rpmlib, GLIBC filtered):
    
    config(vdr-live) = 0.2.0-7.20121009git.fc19
    libc.so.6  
    libcxxtools.so.8  
    libgcc_s.so.1  
    libgcc_s.so.1(GCC_3.0)  
    libm.so.6  
    libpcre.so.1  
    libpcrecpp.so.0  
    libstdc++.so.6  
    libstdc++.so.6(CXXABI_1.3)  
    libtntnet.so.10  
    rtld(GNU_HASH)  
    vdr(abi)(x86-32) = 1.7.31

vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
vdr-live-0.2.0-7.20121009git.fc19.i686.rpm:
    
    config(vdr-live) = 0.2.0-7.20121009git.fc19
    libvdr-live.so.1.7.31  
    vdr-live = 0.2.0-7.20121009git.fc19
    vdr-live(x86-32) = 0.2.0-7.20121009git.fc19

vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm:
    
    vdr-live-debuginfo = 0.2.0-7.20121009git.fc19
    vdr-live-debuginfo(x86-32) = 0.2.0-7.20121009git.fc19



MD5-sum check
-------------


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-16-i386
Command line :/usr/bin/fedora-review -p -r -n vdr-live-0.2.0-7.20121009git.fc18.src.rpm
Comment 6 Sourav Basu 2012-10-24 02:56:10 EDT
The package also builds into x86_64 architecture.I reviewed only i686.
Comment 7 Volker Fröhlich 2012-10-24 05:34:02 EDT
Sourav, you only filled out half of the review form.
Comment 8 Sourav Basu 2012-10-24 16:43:09 EDT
I will post the review again with whatever remains unfulfilled.
Comment 9 MartinKG 2012-10-25 02:55:42 EDT
Sourav, you should complete the review, not paste the output with empty items.
Comment 10 Sourav Basu 2012-10-28 10:25:12 EDT
Here is the full review with all the manual checks done. If I made any mistake please let me know.
However, this is an *informal* Review. I am not registered with the packagers group, so just wait for a reviewer to approve it.
----------------------
Package Review
==============

Key:
[x] = OK
[!] = Fail
[-] = Not Applicable



Issues:
=======
[!]: Package does not install properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/tumu/Fedora-
     Project/Review/vdr-live/i686/review-vdr-live/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Package installs properly.
     Note: Installation errors (see attachment). 
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
     Note: Package does not install due to failed dependencies
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (0001-Compile-fix-for-vdr-1.7.28.patch) Patch1
     (live-1.7.30-fhs.diff) Source0 (vdr-plugin-
     live_0.2.0.99+cvs20121009.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed


Installation errors
-------------------
INFO: mock.py version 1.1.21 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.21
INFO: Mock Version: 1.1.21
State Changed: lock buildroot
INFO: installing package(s): /home/tumu/Fedora-Project/Review/vdr-live/i686/vdr-live-0.2.0-7.20121009git.fc19.i686.rpm /home/tumu/Fedora-Project/Review/vdr-live/i686/vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-16-i386/root/', 'install', '/home/tumu/Fedora-Project/Review/vdr-live/i686/vdr-live-0.2.0-7.20121009git.fc19.i686.rpm', '/home/tumu/Fedora-Project/Review/vdr-live/i686/vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm', '--setopt=tsflags=nocontexts']
Setting up Install Process
Error: Package: vdr-live-0.2.0-7.20121009git.fc19.i686 (/vdr-live-0.2.0-7.20121009git.fc19.i686)
           Requires: libpcre.so.1
 You could try using --skip-broken to work around the problem
Error: Package: vdr-live-0.2.0-7.20121009git.fc19.i686 (/vdr-live-0.2.0-7.20121009git.fc19.i686)
           Requires: vdr(abi)(x86-32) = 1.7.31
           Available: vdr-1.6.0-41.fc16.i686 (fedora)
               vdr(abi)(x86-32) = 1.6.0
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: vdr-live-0.2.0-7.20121009git.fc19.i686.rpm
          vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm
          vdr-live-0.2.0-7.20121009git.fc18.src.rpm
vdr-live.src: W: invalid-url Source0: vdr-plugin-live_0.2.0.99+cvs20121009.tar.gz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Requires
--------
vdr-live-0.2.0-7.20121009git.fc19.i686.rpm (rpmlib, GLIBC filtered):
    
    config(vdr-live) = 0.2.0-7.20121009git.fc19
    libc.so.6  
    libcxxtools.so.8  
    libgcc_s.so.1  
    libgcc_s.so.1(GCC_3.0)  
    libm.so.6  
    libpcre.so.1  
    libpcrecpp.so.0  
    libstdc++.so.6  
    libstdc++.so.6(CXXABI_1.3)  
    libtntnet.so.10  
    rtld(GNU_HASH)  
    vdr(abi)(x86-32) = 1.7.31

vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
vdr-live-0.2.0-7.20121009git.fc19.i686.rpm:
    
    config(vdr-live) = 0.2.0-7.20121009git.fc19
    libvdr-live.so.1.7.31  
    vdr-live = 0.2.0-7.20121009git.fc19
    vdr-live(x86-32) = 0.2.0-7.20121009git.fc19

vdr-live-debuginfo-0.2.0-7.20121009git.fc19.i686.rpm:
    
    vdr-live-debuginfo = 0.2.0-7.20121009git.fc19
    vdr-live-debuginfo(x86-32) = 0.2.0-7.20121009git.fc19



MD5-sum check
-------------


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-16-i386
Command line :/usr/bin/fedora-review -p -r -n vdr-live-0.2.0-7.20121009git.fc18.src.rpm
Comment 11 MartinKG 2012-10-29 14:00:31 EDT
cannot reproduce the installation errors with a lokal review with:

[martin@localhost tmp]$ fedora-review -m fedora-18-x86_64-rpmfusion_free -n vdr-live
Comment 12 Sourav Basu 2012-10-29 15:18:05 EDT
I do not know why installation errors are not reproduced. I used:

[tumu@tumu i686]$ fedora-review -p -r -n vdr-live-0.2.0-7.20121009git.fc18.src.rpm

Also another problem with your package is that installation fails in it due to dependencies.


[tumu@tumu i686]$ rpm -ivh vdr-live-0.2.0-7.20121009git.fc19.i686.rpm
error: Failed dependencies:
	libcxxtools.so.8 is needed by vdr-live-0.2.0-7.20121009git.fc19.i686
	libpcre.so.1 is needed by vdr-live-0.2.0-7.20121009git.fc19.i686
	libtntnet.so.10 is needed by vdr-live-0.2.0-7.20121009git.fc19.i686
	vdr(abi)(x86-32) = 1.7.31 is needed by vdr-live-0.2.0-7.20121009git.fc19.i686


Please Note I used koji to build and the build was done on rawhide.
Comment 13 Volker Fröhlich 2012-10-30 20:02:43 EDT
Sourav:

"""
Buildroot used: fedora-16-i386
Command line :/usr/bin/fedora-review -p -r -n vdr-live-0.2.0-7.20121009git.fc18.src.rpm
"""

I wonder how you built it though. See fedora-review's "-m".
Comment 14 Sourav Basu 2012-11-01 00:31:10 EDT
I built it using koji first then used the prebuilt binaries to review.
Comment 15 Matthias Runge 2012-11-01 07:43:07 EDT
%{vdr_apiversion} is used through the spec, but never defined. Interesting!
Esp. 
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}
Comment 16 MartinKG 2012-11-01 10:36:38 EDT
(In reply to comment #15)
> %{vdr_apiversion} is used through the spec, but never defined. Interesting!
> Esp. 
> Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

good morning Matthias, and what is this ?

[martin@localhost ~]$ cat -v /etc/rpm/macros.vdr |grep vdr_apiversion
%vdr_apiversion %vdr_pcvar apiversion
[martin@localhost ~]$ rpm -qf /etc/rpm/macros.vdr
vdr-devel-1.7.31-1.fc18.x86_64
Comment 17 Matthias Runge 2012-11-01 10:49:33 EDT
Ah, I must have skipped that build requirement. 

Sorry for the noise.
Comment 18 MartinKG 2012-11-01 12:44:48 EDT
(In reply to comment #14)
> I built it using koji first then used the prebuilt binaries to review.

you should use for q.e. for a local review the following command, take the flags
-m fedora-18-x86_64 or -m fedora-rawhide for the target arch

$ fedora-review -p -r -m fedora-rawhide -n vdr-live-0.2.0-7.20121009git.fc18.src.rpm

are you sponsored an can you finish the review ?
Comment 19 Sourav Basu 2012-11-01 13:07:28 EDT
(In reply to comment #18)
> (In reply to comment #14)
> > I built it using koji first then used the prebuilt binaries to review.
> 
> you should use for q.e. for a local review the following command, take the
> flags
> -m fedora-18-x86_64 or -m fedora-rawhide for the target arch
> 
> $ fedora-review -p -r -m fedora-rawhide -n
> vdr-live-0.2.0-7.20121009git.fc18.src.rpm

I will take a look into it surely.


> 
> are you sponsored an can you finish the review ?

I mentioned earlier that I am not with the packagers group- so I am not sponsored. Am doing informal reviews to get sponsored.
Comment 20 Sourav Basu 2012-11-01 23:32:34 EDT
(In reply to comment #18)

> you should use for q.e. for a local review the following command, take the
> flags
> -m fedora-18-x86_64 or -m fedora-rawhide for the target arch
> 
> $ fedora-review -p -r -m fedora-rawhide -n
> vdr-live-0.2.0-7.20121009git.fc18.src.rpm

[tumu@tumu x86_64]$  fedora-review -p -r -m fedora-18-x86_64 -n vdr-live-0.2.0-7.20121009git.fc18.src.rpm

Init command returned error code 1
Installing built package(s)
Mock command returned error code 1
Install command returned error code 1
Mock command returned error code 1
Cannot run mock --copyin: ERROR: Could not find required config file: /etc/mock/fedora-18-x86_64.cfg

Exception down the road...(logs in ~/.cache/fedora-review.log)
Comment 21 Matthias Runge 2012-11-02 09:17:35 EDT
Now that I already took a closer look, I'll do the review.




copied from buildlog:
cpio: vdr-plugin-live-0.2.0.99+cvs20121009/css/styles.cpp: Cannot stat: No such file or directory
cpio: vdr-plugin-live-0.2.0.99+cvs20121009/javascript/treeview.cpp: Cannot stat: No such file or directory
2408 blocks

shouldn't be a problem, right?


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[!]: Package contains no bundled libraries.


Those #Fixme's in the spec are intentional, right?

I'd also appreciate it, if you could list BuildRequirements one per line.
I find it much more readable!


javascript dir comes apparently from a different project, license is ASL 2.0
vdr-live is licensed under GPLv2+, which is incompatible with ASL 2.0 according to https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses

buildutils pot2i18n.pl is copied from somewhere else, Readme is referenced but missing.

live/js/mootools is copied from somewhere else, my educated guess, it comes from http://mootools.net/
License MIT (which is compatible with GPLv2+


You should unbundle that stuff, at least that javascript piece. In this way, IMHO, it can't be packaged in one package.
Comment 22 MartinKG 2012-11-02 14:34:29 EDT
(In reply to comment #21)
> Now that I already took a closer look, I'll do the review.
> 
> 
> copied from buildlog:
> cpio: vdr-plugin-live-0.2.0.99+cvs20121009/css/styles.cpp: Cannot stat: No
> such file or directory
> cpio: vdr-plugin-live-0.2.0.99+cvs20121009/javascript/treeview.cpp: Cannot
> stat: No such file or directory
> 2408 blocks
> 
> shouldn't be a problem, right?

agree


> [!]: Package contains no bundled libraries.
> 
> 
> Those #Fixme's in the spec are intentional, right?

yes

> I'd also appreciate it, if you could list BuildRequirements one per line.
> I find it much more readable!

done
 
> javascript dir comes apparently from a different project, license is ASL 2.0
> vdr-live is licensed under GPLv2+, which is incompatible with ASL 2.0
> according to
> https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
> 
> buildutils pot2i18n.pl is copied from somewhere else, Readme is referenced
> but missing.
> 
> live/js/mootools is copied from somewhere else, my educated guess, it comes
> from http://mootools.net/
> License MIT (which is compatible with GPLv2+
> 
> 
> You should unbundle that stuff, at least that javascript piece. In this way,
> IMHO, it can't be packaged in one package.

hmm, why does zoneminder-1.25.0-9.fc18 comes with bundled mootools ?

rpm -ql zoneminder |grep tools
/usr/share/zoneminder/www/js/mootools.ext.js
/usr/share/zoneminder/www/tools
/usr/share/zoneminder/www/tools/mootools
/usr/share/zoneminder/www/tools/mootools/mootools-core-1.3.2-nc.js
/usr/share/zoneminder/www/tools/mootools/mootools-core-1.3.2-yc.js
/usr/share/zoneminder/www/tools/mootools/mootools-core.js
/usr/share/zoneminder/www/tools/mootools/mootools-more-1.3.2.1-nc.js
/usr/share/zoneminder/www/tools/mootools/mootools-more-1.3.2.1-yc.js
/usr/share/zoneminder/www/tools/mootools/mootools-more.js

i need
Comment 23 Matthias Runge 2012-11-03 05:41:23 EDT
(In reply to comment #22)

> > javascript dir comes apparently from a different project, license is ASL 2.0
> > vdr-live is licensed under GPLv2+, which is incompatible with ASL 2.0
> > according to
> > https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
> > 
^^^^^^^
Incompatible licenses is a blocker! That is much harder than mootools-bundling.


> > buildutils pot2i18n.pl is copied from somewhere else, Readme is referenced
> > but missing.
> > 
You should ask upstream regarding this. pot2i18n.pl is just required for building, so this is not the huge problem here. It's license won't even affect the license of the package at all, as long it's a free license.

> > live/js/mootools is copied from somewhere else, my educated guess, it comes
> > from http://mootools.net/
> > License MIT (which is compatible with GPLv2+
> > 
> > 
> > You should unbundle that stuff, at least that javascript piece. In this way,
> > IMHO, it can't be packaged in one package.
> 
> hmm, why does zoneminder-1.25.0-9.fc18 comes with bundled mootools ?
> 

I can't say, why zoneminder....

I agree, that especially JavaScript libraries (such as jQuery) are a problem in general. At least, your package license must also include  MIT such as
License: GPLv2+ and MIT

It seems, it's an unspoken law, bundling JavaScript libs might be ok, as long as licenses fit together. You should try to talk to upstream and ask them to unbundle that. In usual cases, upstream is more cooperative, when submitting patches together with the request ;-)

When packaging in a good style, you will also list (in the spec), which parts are GPL and which is MIT licensed.

> rpm -ql zoneminder |grep tools
> /usr/share/zoneminder/www/js/mootools.ext.js
> /usr/share/zoneminder/www/tools
> /usr/share/zoneminder/www/tools/mootools
> /usr/share/zoneminder/www/tools/mootools/mootools-core-1.3.2-nc.js
> /usr/share/zoneminder/www/tools/mootools/mootools-core-1.3.2-yc.js
> /usr/share/zoneminder/www/tools/mootools/mootools-core.js
> /usr/share/zoneminder/www/tools/mootools/mootools-more-1.3.2.1-nc.js
> /usr/share/zoneminder/www/tools/mootools/mootools-more-1.3.2.1-yc.js
> /usr/share/zoneminder/www/tools/mootools/mootools-more.js
> 
> i need

Current upstream version of mootools is 1.4.5.
Comment 24 MartinKG 2012-11-22 13:06:48 EST
domtt part in folder javascript was deleted, because it isn't needed any longer.

Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/vdr-live.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/vdr-live-0.2.0-8.20121009git.fc17.src.rpm

%changelog
* Tue Nov 22 2012 Martin Gansser <linux4martin@gmx.de> - 0.2.0-8.20121009git
- added MIT license
- deleted domtt part in javascript because it isn't needed.
Comment 25 MartinKG 2012-11-22 14:53:17 EST
the compilation fails now with the following error messages:

https://www.disk.dsl.o2online.de/FclyPlh/RPMS/guayadeque/guayadeque-0.3.6-8.svn1845/guayadeque_buildlog.txt?a=_22ag5z68tU
Comment 26 Matthias Runge 2012-11-23 02:21:40 EST
(In reply to comment #25)
> the compilation fails now with the following error messages:
> 
> https://www.disk.dsl.o2online.de/FclyPlh/RPMS/guayadeque/guayadeque-0.3.6-8.
> svn1845/guayadeque_buildlog.txt?a=_22ag5z68tU

That error message looks guayadeque related, isn't it? It has nothing to do with vdr-live.
Comment 27 MartinKG 2012-11-23 03:05:46 EST
(In reply to comment #26)
> (In reply to comment #25)
> > the compilation fails now with the following error messages:
> > 
> > https://www.disk.dsl.o2online.de/FclyPlh/RPMS/guayadeque/guayadeque-0.3.6-8.
> > svn1845/guayadeque_buildlog.txt?a=_22ag5z68tU
> 
> That error message looks guayadeque related, isn't it? It has nothing to do
> with vdr-live.

you are right, it has nothing to do with vdr-live.

Can the review are approved ? have you time ?
Comment 28 Matthias Runge 2012-11-30 04:27:23 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[!]: Package contains no bundled libraries.

Looks like tntnet is included. To be sure, that bundled version is not used, you should remove those files. (httpd directory)

[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[!]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/mrunge/review/821233
     -vdr-live/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[!]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (0001-Compile-fix-for-vdr-1.7.28.patch) Patch1
     (live-1.7.30-fhs.diff) Source0 (vdr-plugin-
     live_0.2.0.99+cvs20121009.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: vdr-live-0.2.0-8.20121009git.fc19.x86_64.rpm
          vdr-live-debuginfo-0.2.0-8.20121009git.fc19.x86_64.rpm
          vdr-live-0.2.0-8.20121009git.fc19.src.rpm
vdr-live.src: W: invalid-url Source0: vdr-plugin-live_0.2.0.99+cvs20121009.tar.gz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint vdr-live-debuginfo vdr-live
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
vdr-live-0.2.0-8.20121009git.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    config(vdr-live) = 0.2.0-8.20121009git.fc19
    libc.so.6()(64bit)  
    libcxxtools.so.8()(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libm.so.6()(64bit)  
    libpcre.so.1()(64bit)  
    libpcrecpp.so.0()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    libtntnet.so.10()(64bit)  
    rtld(GNU_HASH)  
    vdr(abi)(x86-64) = 1.7.31

vdr-live-debuginfo-0.2.0-8.20121009git.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
vdr-live-0.2.0-8.20121009git.fc19.x86_64.rpm:
    
    config(vdr-live) = 0.2.0-8.20121009git.fc19
    libvdr-live.so.1.7.31()(64bit)  
    vdr-live = 0.2.0-8.20121009git.fc19
    vdr-live(x86-64) = 0.2.0-8.20121009git.fc19

vdr-live-debuginfo-0.2.0-8.20121009git.fc19.x86_64.rpm:
    
    vdr-live-debuginfo = 0.2.0-8.20121009git.fc19
    vdr-live-debuginfo(x86-64) = 0.2.0-8.20121009git.fc19



MD5-sum check
-------------


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 821233


Issues left:
- tnt must be unbundled
- for me, vdr-live looks like a service. Then you should include a systemd service file
Comment 29 Volker Fröhlich 2013-04-26 12:27:57 EDT
Martin?
Comment 30 MartinKG 2013-04-27 11:44:15 EDT
Hi Volker, I'm alive.

Licensing rights are unclear, so I can not pursue this bug, or is there someone who can help me massively.
Comment 31 Matthias Runge 2013-09-24 04:40:41 EDT
closing this. Martin, when things changed, i.e. upstream unbundled libs etc. please open a new bug.
Comment 32 Matthias Runge 2013-12-23 05:09:10 EST

*** This bug has been marked as a duplicate of bug 1045756 ***

Note You need to log in before you can comment on or make changes to this bug.